<?php
namespace SabaiApps\Directories\Component\User\SystemWidget;

use SabaiApps\Directories\Application;
use SabaiApps\Directories\Component\Entity\SystemWidget\AbstractEntitiesSystemWidget;

class UsersSystemWidget extends AbstractEntitiesSystemWidget {

	public function __construct( Application $application, $name ) {
		parent::__construct( $application, $name, 'user__user' );
	}

	protected function _getBundle( array $settings ) {
		return $this->_application->Entity_Bundle( 'users_usr_usr' );
	}

	protected function _getDefaultSettings() {
		return array(
			'sort'            => 'user_published',
			'show_summary'    => false,
			'thumbnail_size'  => 48,
			'thumbnail_style' => 'rounded-circle',
		) + parent::_getDefaultSettings();
	}
}
